> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tightknit.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Slack message

> Sends a Slack message to a channel or user. By default, messages are sent by the Tightknit app branded as the community, using your customized icon and name.



## OpenAPI

````yaml https://api.tightknit.ai/doc-mintlify post /admin/v0/messages
openapi: 3.1.0
info:
  version: 0.0.0
  title: Tightknit OpenAPI
servers:
  - url: https://api.tightknit.ai
    description: Production server
security:
  - Bearer: []
paths:
  /admin/v0/messages:
    post:
      tags:
        - Messages
      summary: Send Slack message
      description: >-
        Sends a Slack message to a channel or user. By default, messages are
        sent by the Tightknit app branded as the community, using your
        customized icon and name.
      parameters:
        - schema:
            type: string
            enum:
              - application/json
          required: true
          name: content-type
          in: header
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                channel:
                  type: string
                text:
                  type: string
                  minLength: 1
                thread_ts:
                  type: string
                  nullable: true
              required:
                - channel
                - text
      responses:
        '200':
          description: Message sent
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                required:
                  - success
        '400':
          description: Returns an error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
        '403':
          description: Returns a Forbidden error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
        '500':
          description: Returns an Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

## Related topics

- [New Member Onboarding](/member-engagement/onboarding.md)
- [Slack Sync Guide](/slack/sync-guide.md)
- [Troubleshooting](/support/troubleshooting.md)
- [Message Shortcuts](/slack/shortcuts-and-commands/message-shortcuts.md)
- [CLI](/integrations/cli.md)
